SDL_SetWindowModal(3)

NAME
SDL_SetWindowModal - Toggle the state of the window as modal.

HEADER FILE
Defined in SDL3/SDL_video.h

SYNOPSIS
#include "SDL3/SDL.h"

bool SDL_SetWindowModal(SDL_Window *window, bool modal);

DESCRIPTION
To enable modal status on a window, the window must currently be the child window of a parent, or toggling modal status on will fail.

FUNCTION PARAMETERS

window
    the window on which to set the modal state.

modal
    true to toggle modal status on, false to toggle it off.

RETURN VALUE
Returns true on success or false on failure; call

SDL_GetError () for more information.

THREAD SAFETY
This function should only be called on the main thread.

AVAILABILITY
This function is available since SDL 3.2.0.

SEE ALSO
•(3), SDL_SetWindowParent(3), •(3), SDL_WINDOW_MODAL(3)